| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Public Attributes | List of all members
Ogre::LodInputBuffer Struct Reference
Optional Components » MeshLodGenerator

Data representing all required information from a Mesh. Used by LodInputProviderBuffer. More...

`#include <OgreLodBuffer.h>`

## Classes
struct | Submesh

## Public Member Functions
void | fillBuffer (Ogre::MeshPtr mesh)

## Public Attributes
Real | boundingSphereRadius
String | meshName
LodVertexBuffer | sharedVertexBuffer
std::vector< Submesh > | submesh

## Detailed Description

Data representing all required information from a Mesh. Used by LodInputProviderBuffer.

## Member Function Documentation

## ◆ fillBuffer()

void Ogre::LodInputBuffer::fillBuffer | ( | Ogre::MeshPtr | mesh | ) |

## Member Data Documentation

## ◆ submesh

std::vector<Submesh> Ogre::LodInputBuffer::submesh

## ◆ sharedVertexBuffer

LodVertexBuffer Ogre::LodInputBuffer::sharedVertexBuffer

## ◆ meshName

String Ogre::LodInputBuffer::meshName

## ◆ boundingSphereRadius

Real Ogre::LodInputBuffer::boundingSphereRadius

The documentation for this struct was generated from the following file:

- OgreLodBuffer.h